Bug 924821 - Drbd 8.3.13 doesn't work with kernel 3.8.3-103
Summary: Drbd 8.3.13 doesn't work with kernel 3.8.3-103
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drbd
Version: 17
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Major Hayden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-22 14:58 UTC by Enrique V. Bonet Esteban
Modified: 2013-04-01 03:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-24 21:02:38 UTC


Attachments (Terms of Use)

Description Enrique V. Bonet Esteban 2013-03-22 14:58:43 UTC
Description of problem:

The fedora 17 drbd version 8.3.13 doesn't work with the new kernel 3.8.3-103.

Version-Release number of selected component (if applicable):

Fedora 17 drbd 8.3.13 and kernel 3.8.3-103.

How reproducible:

Update the kernel to 3.8.3-103 version, reboot the system and start the drbd
service.

Steps to Reproduce:
1. Disable drbd service: chkconfig drbd off
2. Actualize the kernel: yum -y update kernel
3. Reboot the system.
4. Login in the system.
5. Execute the drbd service: service drbd start
  
Actual results:

[root@my_server ~]# uname -a

Linux my_server 3.8.3-103.fc17.x86_64 #1 SMP Mon Mar 18 15:46:01 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@my_server ~]# service drbd start:

  --==  Thank you for participating in the global usage survey  ==--
The server's response is:

node already registered
Starting DRBD resources: DRBD module version: 8.4.2
   userland version: 8.3.13
you should upgrade your drbd tools!
[ 
drbd0
DRBD module version: 8.4.2
   userland version: 8.3.13
you should upgrade your drbd tools!
lock on /var/lock/drbd-147-0 currently held by pid:701
Command '/sbin/drbdmeta 0 v08 /dev/vda2 internal check-resize' terminated with exit code 20
drbdadm check-resize drbd0: exited with code 20
d(drbd0) No response from the DRBD driver! Is the module loaded?
s(drbd0) No response from the DRBD driver! Is the module loaded?
n(drbd0) No response from the DRBD driver! Is the module loaded?
]DRBD module version: 8.4.2
   userland version: 8.3.13
you should upgrade your drbd tools!
...

[root@my_server ~]# lsmod | grep drbd

drbd                  292958  0 
lru_cache              14515  1 drbd
libcrc32c              12603  1 drbd

The drbd module is loaded, but drbd doesn't work. Same result in i686 hardware.

Expected results:

The drbd 8.3.13 work with kernel 3.8.3-103

Additional info:

I suppose that is possible that drbd 8.4.2 works with 3.8.3-103 kernel, but
this package is not in Fedora 17 (Fedora 18 or later) and is not possible install it for dependencies.

Comment 1 Major Hayden 2013-03-23 01:33:00 UTC
Thanks for catching this. I'll test 8.4.2 on F17 this evening and try to get an updated package pushed.

Comment 2 Fedora Update System 2013-03-23 03:26:00 UTC
drbd-8.4.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drbd-8.4.2-1.fc17

Comment 3 Enrique V. Bonet Esteban 2013-03-24 21:02:38 UTC
I have enabled updates-testing repository and I have updated drbd to 8.4.2-1
version. The new drbd package work fine with the kernel 3.8.3-103 (i686 and
x86_64).
The bug is solved.

Comment 4 Major Hayden 2013-03-24 21:03:37 UTC
Thanks, Enrique! If possible, add karma here:

  https://admin.fedoraproject.org/updates/drbd-8.4.2-1.fc17

Comment 5 Enrique V. Bonet Esteban 2013-03-24 21:22:25 UTC
Done, thank you.

Comment 6 Fedora Update System 2013-04-01 03:33:48 UTC
drbd-8.4.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.